Resource
Date: 2019-10-22

org.jmol.i18n

## Class Resource

- java.lang.Object
- - org.jmol.i18n.Resource

-     class Resource
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ResourceBundle` | `resource`
    `private java.util.Map<java.lang.String,java.lang.String>` | `resourceMap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Resource(java.lang.Object resource, java.lang.String className)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `fix(java.lang.String line)`
    `(package private) static java.lang.String` | `getLanguage()`
    `(package private) static Resource` | `getResource(Viewer vwr, java.lang.String className, java.lang.String name)`
    `(package private) static Resource` | `getResourceFromPO(java.lang.String data)` applet only -- Simple reading of .po file; necessary for JavaScript; works in Java as well and avoids all those signed applets.
    `(package private) java.lang.String` | `getString(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          private java.util.ResourceBundle resource

    - #### resourceMap

          private java.util.Map<java.lang.String,java.lang.String> resourceMap

  - ### Constructor Detail

    - #### Resource

          private Resource(java.lang.Object resource,
                           java.lang.String className)

  - ### Method Detail

    - #### getResource

          static Resource getResource(Viewer vwr,
                                      java.lang.String className,
                                      java.lang.String name)

    - #### getString

          java.lang.String getString(java.lang.String string)

    - #### getLanguage

          static java.lang.String getLanguage()

    - #### getResourceFromPO

          static Resource getResourceFromPO(java.lang.String data)

      applet only -- Simple reading of .po file; necessary for JavaScript; works in Java as well and avoids all those signed applets.
      Parameters:
        `data` -
      Returns:
        JmolResource

    - #### fix

          static java.lang.String fix(java.lang.String line)